OptimizedScalarQuantizer.QuantizationResult (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.quantization, class: OptimizedScalarQuantizer, record: QuantizationResult

Package org.apache.lucene.util.quantization

# Record Class OptimizedScalarQuantizer.QuantizationResult

java.lang.Object
java.lang.Record
org.apache.lucene.util.quantization.OptimizedScalarQuantizer.QuantizationResult

Record Components:
  `lowerInterval` - the lower interval bound
  `upperInterval` - the upper interval bound
  `additionalCorrection` - the additional correction
  `quantizedComponentSum` - the sum of the quantized components

Enclosing class:
  `OptimizedScalarQuantizer`

public static record OptimizedScalarQuantizer.QuantizationResult(float lowerInterval, float upperInterval, float additionalCorrection, int quantizedComponentSum) extends Record
Quantization result containing the lower and upper interval bounds, the additional correction

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuantizationResult(float lowerInterval, float upperInterval, float additionalCorrection, int quantizedComponentSum)`
  Creates an instance of a `QuantizationResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `additionalCorrection()`
  Returns the value of the `additionalCorrection` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `float`
  `lowerInterval()`
  Returns the value of the `lowerInterval` record component.
  `int`
  `quantizedComponentSum()`
  Returns the value of the `quantizedComponentSum` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `float`
  `upperInterval()`
  Returns the value of the `upperInterval` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QuantizationResult

    public QuantizationResult(float lowerInterval, float upperInterval, float additionalCorrection, int quantizedComponentSum)
    Creates an instance of a `QuantizationResult` record class.
    Parameters:
      `lowerInterval` - the value for the `lowerInterval` record component
      `upperInterval` - the value for the `upperInterval` record component
      `additionalCorrection` - the value for the `additionalCorrection` record component
      `quantizedComponentSum` - the value for the `quantizedComponentSum` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### lowerInterval

    public float lowerInterval()
    Returns the value of the `lowerInterval` record component.
    Returns:
      the value of the `lowerInterval` record component

  - ### upperInterval

    public float upperInterval()
    Returns the value of the `upperInterval` record component.
    Returns:
      the value of the `upperInterval` record component

  - ### additionalCorrection

    public float additionalCorrection()
    Returns the value of the `additionalCorrection` record component.
    Returns:
      the value of the `additionalCorrection` record component

  - ### quantizedComponentSum

    public int quantizedComponentSum()
    Returns the value of the `quantizedComponentSum` record component.
    Returns:
      the value of the `quantizedComponentSum` record component